Skip to content

Add tenant membership

POST
/tenants/{id}/memberships
curl --request POST \
--url https://api.muninx.com/tenants/example/memberships \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "team-ids": [ "example" ], "agent-type": "human", "email": "[email protected]", "organization": "example", "role": "admin" }'

Adds a user to a tenant. Admin and agent memberships may include zero or more tenant-scoped team IDs. Customer memberships cannot belong to teams.

id
required
string

Tenant organization ID

Membership

Media type application/json
object
team-ids

Tenant-scoped team IDs for staff memberships.

Array<string>
agent-type
string
Allowed values: human ai-assisted
email
string format: email
organization
string
role
string
Allowed values: admin agent customer

OK

Media type application/json
object
team-ids

Tenant-scoped team IDs for staff memberships.

Array<string>
agent-type
string
auto-assign-tickets
boolean
email
string format: email
organization
string
role
string
status
string
team-id
string
tenant-id
string
Example
{
"email": "[email protected]"
}

Accepted

Media type application/json
object
status
string
Example generated
{
"status": "example"
}

Problem+json

Media type application/json
object
key
additional properties
any
Example generated
{}

Problem+json

Media type application/json
object
key
additional properties
any
Example generated
{}

Problem+json

Media type application/json
object
key
additional properties
any
Example generated
{}

Problem+json

Media type application/json
object
key
additional properties
any
Example generated
{}

Team validation is unavailable

Media type application/json
object
key
additional properties
any
Example generated
{}